Bug 212408 - spamassassin gives selinux errors
spamassassin gives selinux errors
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-10-26 14:17 EDT by Christophe Lambin
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-28 15:46:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christophe Lambin 2006-10-26 14:17:25 EDT
I installed FC6 on my existing system. This was a full install, but I kept my
/home partition.  Spamassassin is now generating selinux errors:

audit(1161816171.736:4): avc:  denied  { write } for  pid=3678 comm="spamd"
name="[27642]" dev=pipefs ino=27642 context=system_u:system_r:spamd_t:s0
tcontext=system_u:system_r:unconfined_t:s0 tclass=fifo_file

and also:

audit(1161840509.171:36): avc:  denied  { getattr } for  pid=2590 comm="spamd"
name="auto-whitelist" dev=dm-1 ino=1048629 scontext=system_u:system_r:spamd_t:s0
tcontext=system_u:object_r:file_t:s0 tclass=file

audit(1161886038.960:3242): avc:  denied  { getattr } for  pid=2559 comm="spamd"
name="bayes_toks" dev=dm-1 ino=1048631 scontext=system_u:system_r:spamd_t:s0
tcontext=system_u:object_r:file_t:s0 tclass=file

I'm seeing a high level of spam now, so I suspect this is breaking some parts of
Comment 1 Daniel Walsh 2006-10-26 14:56:30 EDT
Could you run restorecon -R -v /home

or whereever your home partiiton is.  THis will properly label the directory.
Comment 2 Christophe Lambin 2006-10-26 16:36:09 EDT
That seems to have fixed it. Thanks.

Note You need to log in before you can comment on or make changes to this bug.